### Method

# GimpUi PreviewArea blend

#### Declaration [src]

    void
    gimp_preview_area_blend (
      GimpPreviewArea* area,
      gint x,
      gint y,
      gint width,
      gint height,
      GimpImageType type,
      const guchar* buf1,
      gint rowstride1,
      const guchar* buf2,
      gint rowstride2,
      guchar opacity
    )

#### Description [src]

Composites `buf1` on `buf2` with the given `opacity`, draws the result to `area` and queues a redraw on the given rectangle.

Since GIMP 2.2

#### Parameters

`x` | `gint`
| X offset in preview.
`y` | `gint`
| Y offset in preview.
`width` | `gint`
| Buffer width.
`height` | `gint`
| Buffer height.
`type` | `GimpImageType`
| The `GimpImageType` of `buf1` and `buf2`
`buf1` | An array of `guchar`
| A #guchar buffer that contains the pixel data for the lower layer.
| The data is owned by the caller of the function.
`rowstride1` | `gint`
| Rowstride of `buf1`
`buf2` | An array of `guchar`
| A #guchar buffer that contains the pixel data for the upper layer.
| The data is owned by the caller of the function.
`rowstride2` | `gint`
| Rowstride of `buf2`
`opacity` | `guchar`
| The opacity of the first layer.